program Example;

{$APPTYPE CONSOLE}

uses
  SysUtils,
  LtbFile in '..\Source\LtbFile.pas';

var
  Input   : String;
  _LtbFile: CLtbFile;

  i       : Integer;
  Mesh    : CLtbFileMesh;

  Vertices: _LtbVertices;
  Indices : _LtbIndices;

begin
  _LtbFile := CLtbFile.Create( );

  WriteLn( 'Load Ltb from file:' );
  Input := '';

  ReadLn( Input );

  if ( _LtbFile.LoadFromFile( Input ) = LTB_OK ) then
  begin
    WriteLn( '+-------------------------------------------+' );
    WriteLn( '| Mesh count: ', _LtbFile.GetMeshCount( ) );

    for i := 0 to ( _LtbFile.GetMeshCount( ) - 1 ) do
    begin
      WriteLn( '|' );
      Mesh := _LtbFile.GetMesh( i );

      WriteLn( '| - Name: ', Mesh.GetMeshName( ) );
      WriteLn( '| - Vertex count: ', Mesh.GetVertices( Vertices ) );
      WriteLn( '| - Index count: ', Mesh.GetIndices( Indices ) );
    end;

    WriteLn( '+-------------------------------------------+' );
  end
  else
    WriteLn( 'Invalid file.' );

  _LtbFile.Free( );

  ReadLn;
end.
